package com.kingdee.eas.custom.logs;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.logs.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class MessageLogs extends CoreBillBase implements IMessageLogs
{
    public MessageLogs()
    {
        super();
        registerInterface(IMessageLogs.class, this);
    }
    public MessageLogs(Context ctx)
    {
        super(ctx);
        registerInterface(IMessageLogs.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("1C714FA2");
    }
    private MessageLogsController getController() throws BOSException
    {
        return (MessageLogsController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public MessageLogsCollection getMessageLogsCollection() throws BOSException
    {
        try {
            return getController().getMessageLogsCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public MessageLogsCollection getMessageLogsCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getMessageLogsCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public MessageLogsCollection getMessageLogsCollection(String oql) throws BOSException
    {
        try {
            return getController().getMessageLogsCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public MessageLogsInfo getMessageLogsInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getMessageLogsInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public MessageLogsInfo getMessageLogsInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getMessageLogsInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public MessageLogsInfo getMessageLogsInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getMessageLogsInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}